com.mapinfo.midev.language.filter

## Class EnvelopeFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.EnvelopeFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class EnvelopeFilterCapability
    extends Object
    implements IFilterCapability

Used to indicate that the `EnvelopeFilter` is supported.

See Also:
  `FilterLanguage`, `FilterCapabilities`, `EnvelopeFilter`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`